> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve monitor history

> Get monitor history



## OpenAPI

````yaml v2 get /monitors/{id}/history
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /monitors/{id}/history:
    get:
      tags:
        - Monitors
      description: Get monitor history
      operationId: getMonitorHistory
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - description: Start time (ISO 8601 format) for filtering alert history.
          name: startTime
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - description: End time (ISO 8601 format) for filtering alert history.
          name: endTime
          in: query
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: AlertHistory
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AlertHistory'
      security:
        - Auth:
            - monitors|read
components:
  schemas:
    AlertHistory:
      description: >
        Historical record of an alert's state changes.

        Tracks when alerts are opened and closed, allowing for incident timeline
        analysis.
      type: object
      required:
        - name
        - checkId
        - timestamp
        - state
      properties:
        checkId:
          description: Unique identifier of the check that triggered the alert
          type: string
          example: chk_abc123
        name:
          description: The name of the alert
          type: string
          example: High CPU Usage Alert
        state:
          description: Current state of the alert
          type: string
          enum:
            - open
            - closed
          example: open
        timestamp:
          description: ISO 8601 timestamp when the alert state changed
          type: string
          format: date-time
          example: '2024-03-20T15:30:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````